/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.client.ui.sq;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.events.ResizedEvent;
import com.smartgwt.client.widgets.events.ResizedHandler;

import org.dive4elements.river.client.client.ui.MultiPeriodPanel;


/**
 * This UIProvider creates helper panel for sq relation.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class SQMultiPeriodPanel extends MultiPeriodPanel implements
    ResizedHandler {
    protected SQCampaignChart chartContainer;

    public SQMultiPeriodPanel() {
    }

    @Override
    protected Canvas createHelper() {
        chartContainer = new SQCampaignChart(artifact, this);
        return chartContainer;
    }

    @Override
    public void onResized(ResizedEvent re) {
        chartContainer.update();
    }
}
